Update Applicant Appointment: Entrata
https://api.propexo.com/v1/events/appointments/applicants/entrata/:event_id| Method |
|---|
| leads/updateLeads |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
The Propexo unique identifier for the unit
Notes associated with the event
Possible values: non-empty
The date when the appointment will occur
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. Entrata expects this time to be in Mountain Time and honor daylight savings time.
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The duration of the appointment, in minutes
Possible values: > 0
The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available
Show 4 enum values
LEASING_APPOINTMENTSELF_GUIDED_TOURTOURVIRTUAL_TOURThe title associated with the event
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$
meta objectrequired
result objectrequired
The Propexo unique identifier for the event
The Propexo unique identifier for the unit
Notes associated with the event
Possible values: non-empty
The date when the appointment will occur
Show 2 variants
The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. Entrata expects this time to be in Mountain Time and honor daylight savings time.
Possible values: Value must match regular expression (?:[01]\d|2[0123]):(?:[012345]\d):(?:[012345]\d)
The duration of the appointment, in minutes
Possible values: > 0
The type of appointment. This is specific to Entrata and correlates to the types of calendar appointments available
Show 4 enum values
LEASING_APPOINTMENTSELF_GUIDED_TOURTOURVIRTUAL_TOURThe title associated with the event
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/events/appointments/applicants/entrata/:event_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"notes": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"event_id": "string",
"unit_id": "string",
"notes": "string",
"appointment_date": "2024-07-29T15:51:28.071Z",
"appointment_time": "string",
"appointment_duration_minutes": 0,
"appointment_type": "LEASING_APPOINTMENT",
"title": "string"
}
}